%define name libcdio
%define version 0.81
%define release %mkrel 3

%define build_vcd 1
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

%define major 10
%define libname %mklibname cdio %{major}
%define libnamedev %mklibname -d cdio
%define libnamestaticdev %mklibname -d -s cdio
%define isomajor 7
%define isolibname %mklibname iso9660_ %isomajor
%define cddamajor 0
%define cddalibname %mklibname cdio_cdda %cddamajor
%define cdioppmajor 0
%define cdiopplibname %mklibname cdio++ %cdioppmajor

Name: %name
Version: %version
Release: %release
License: GPLv3+
Group: System/Libraries
URL: http://www.gnu.org/software/libcdio/
Source: ftp://ftp.gnu.org/pub/gnu/libcdio/%name-%version.tar.gz
Patch: libcdio-0.81-fix-linking.patch
Patch1: libcdio-0.81-fix-format-string.patch
# patch found upstream 7c497a2c735b695cdbedc3cfb80348bad847ba00
Patch2: libcdio-0.81-fix-infinite_loop.patch
BuildRoot: %_tmppath/%name-buildroot
Summary: CD-ROM reading library
BuildRequires: libcddb-devel
BuildRequires: popt-devel
BuildRequires: libncurses-devel
#gw only if we change the man pages
#BuildRequires: help2man
%if %build_vcd
BuildRequires: libvcd-devel > 0.7.19
%endif

%description 
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package apps
Summary: Example tool from %name
Group: Sound
Provides: libcdio0-apps
Obsoletes: libcdio0-apps
 
%description apps
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

This contains the program cd-info as an example application of %name.

%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries
Provides: libcdio = %version-%release

%description -n %{libname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package -n %{libnamedev}
Summary: Devel files from %name
Group: Development/C
Requires: %{libname} = %version
Requires: %{isolibname} = %version
Requires: %{cddalibname} = %version
Requires: %{cdiopplibname} = %version
Provides: %name-devel = %version-%release 
Obsoletes: %mklibname -d cdio 7

 
%description -n %{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %libnamestaticdev
Summary: Static Library for developing applications with %name
Group: Development/C
Requires: %libnamedev = %version
Obsoletes: %mklibname -d -s cdio 7

%description -n %libnamestaticdev
This contains the static library of %name needed for building apps that
link statically to %name.

%package -n %{isolibname}
Summary: Libraries from %name
Group: System/Libraries
Conflicts: libcdio < 0.74-2mdk

%description -n %{isolibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{cddalibname}
Summary: Libraries from %name
Group: System/Libraries
Conflicts: libcdio < 0.74-2mdk

%description -n %{cddalibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %cdiopplibname
Summary: C++ library from %name
Group: System/Libraries

%description -n %{cdiopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version
%patch -p1 -b .fix-linking
%patch1 -p0
# fix infinite loop 
%patch2 -p0

aclocal -I m4
autoconf
automake
libtoolize

%build
%configure2_5x \
--without-versioned-libs \
%if ! %build_vcd
--disable-vcd-info
%endif

make

%install
rm -rf %buildroot
%makeinstall_std
#gw was not installed:
cp libcdio_cdda.pc libcdio_paranoia.pc %buildroot%_libdir/pkgconfig
cd %buildroot%_mandir
mv jp ja


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%post -n %{isolibname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{isolibname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%post -n %{cddalibname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{cddalibname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%post -n %{cdiopplibname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{cdiopplibname} -p /sbin/ldconfig
%endif


%post -n %{libnamedev}
%_install_info libcdio.info

%preun -n %{libnamedev}
%_remove_install_info libcdio.info

%files apps
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO
%_bindir/*
%_mandir/man1/*
%lang(ja) %_mandir/ja/man1/*

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/libcdio.so.%{major}*

%files -n %{isolibname}
%defattr (- ,root,root)
%_libdir/libiso9660.so.%{isomajor}*

%files -n %{cddalibname}
%defattr (- ,root,root)
%_libdir/libcdio_cdda.so.%{cddamajor}*
%_libdir/libcdio_paranoia.so.%{cddamajor}*
%_libdir/libudf.so.%{cddamajor}*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO
%_includedir/cdio
%_includedir/cdio++/
%_infodir/libcdio.info*
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_libdir/pkgconfig/libcdio.pc
%_libdir/pkgconfig/libcdio_cdda.pc
%_libdir/pkgconfig/libcdio_paranoia.pc
%_libdir/pkgconfig/libiso9660.pc
%_libdir/pkgconfig/libudf.pc

%files -n %libnamestaticdev
%defattr(-,root,root)
%{_libdir}/lib*.a

%files -n %{cdiopplibname}
%defattr (- ,root,root)
%_libdir/libcdio++.so.%{cdioppmajor}*
%_libdir/libiso9660++.so.%{cdioppmajor}*

%clean
rm -rf ${RPM_BUILD_ROOT}




%changelog
* Sat Apr 11 2009 Michael Scherer <misc@mandriva.org> 0.81-3mdv2009.1
+ Revision: 366171
- patch to fix endless loop when there is no cdrom, blocking xmms2
  among other, as reported on 49636
- add patch to clear format string error
- add missing libtoolize call

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 0.81-2mdv2009.1
+ Revision: 298224
- fix linking

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 0.81-1mdv2009.1
+ Revision: 297772
- fix build deps
- update file list
- new version
- new major
- update license
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 0.80-2mdv2009.0
+ Revision: 193696
- add missing pkgconfig files

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.80-1mdv2009.0
+ Revision: 192411
- new version
- drop patch

* Fri Feb 08 2008 Götz Waschk <waschk@mandriva.org> 0.79-3mdv2008.1
+ Revision: 163991
- replace Fedora patch by better Mandriva version

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 0.79-2mdv2008.1
+ Revision: 154097
- fix buffer overflow

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 0.79-1mdv2008.1
+ Revision: 102571
- new version

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.78.2-1mdv2008.0
+ Revision: 75363
- new devel name


* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.78.2-1mdv2007.0
+ Revision: 74975
- new version

* Sun Oct 29 2006 Götz Waschk <waschk@mandriva.org> 0.78.1-1mdv2007.1
+ Revision: 73597
- new version
- new major
- Import libcdio

* Sat Oct 28 2006 Gtz Waschk <waschk@mandriva.org> 0.78-1mdv2007.1
- new major
- New version 0.78

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.77-3mdv2007.0
- Rebuild

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.77-2mdk
- rebuild to fix apps package

* Sat Mar 18 2006 Gtz Waschk <waschk@mandriva.org> 0.77-1mdk
- new majors
- add cdio++
- New release 0.77
- use mkrel

* Wed Oct 05 2005 Götz Waschk <waschk@mandriva.org> 0.76-1mdk
- New release 0.76

* Fri Jul 22 2005 Gtz Waschk <waschk@mandriva.org> 0.75-2mdk
- fix conflicts
- rebuild

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 0.75-1mdk
- major 6
- reenable cddb

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 0.74-2mdk
- disable cddb
- better split the package

* Sun May 15 2005 Gtz Waschk <waschk@mandriva.org> 0.74-1mdk
- New release 0.74

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.73-2mdk
- rebuild for new libvcd

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.73-1mdk
- major 5
- New release 0.73

* Wed Feb 02 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.72-2mdk
- add conflict 
- reenable vcd

* Tue Feb 01 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.72-1mdk
- major 4
- update the file list
- disable vcdinfo
- drop the patch
- new version

* Thu Dec 30 2004 Angelo Naselli <anaselli@mandrake.org> 0.71-3mdk
- added patch needed to compile with c++
- added --without-versioned-libs to avoid problems linking 
  libcdio or libiso9660

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.71-2mdk
- rebuild

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.71-1mdk
- major 3
- disable parallel build
- New release 0.71

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.70-1mdk
- 0.70

* Sun Jun 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.69-1mdk
- fix source URL
- New release 0.69

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.68-2mdk
- new vcdimager

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.68-1mdk
- drop man pages
- new version

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-3mdk
- reenable vcd support

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-2mdk
- fix provides

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-1mdk
- use the mdkversion macro
- install man pages by hand
- disable vcdimager for now
- needs new vcdimager
- new version

* Thu Nov 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.64-3mdk
- update URL

